Create Opportunities
/unified/crm/opportunities
Query Parameters
Refer Specifying query parameters in Truto APIs
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The opportunity's account
14 supported5 required
The account's unique identifier
The opportunity's amount
14 supported
The date and time of the opportunity's close date
12 supported2 required
1 supported
The opportunity's contacts
15 supported5 required
The contact's unique identifier
The date and time of the opportunity's creation
14 supported
The amount attribute's currency
8 supported
Custom fields to be set on the opportunity
{
"custom_field_name_1": "foo",
"custom_field_name_2": "bar"
}
14 supported
The opportunity's description
8 supported
The opportunity's name
19 supported17 required
The opportunity's owner
15 supported3 required
The opportunity's owner's unique identifier
The opportunity's pipeline.
1 supported1 required
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The opportunity's stage
13 supported6 required
The stage's unique identifier
The stage's name
The opportunity's status
leadin_progresswonlostopenlostwonabandonedallopenwonsuspendedlostabandonedopenwonlostdeleted+ 6 more
9 supported2 required
leadin_progresswonlostopenlostwonabandonedallopenwonsuspendedlostabandonedopenwonlostdeletedThe opportunity's tags
5 supported
The tag's unique identifier
The tag's name
An unique identifier of the view that the new opportunity will be associated with. This view must be of type opportunity.
1 supported1 required
Response Body
The opportunity's unique identifier
17 supported
The opportunity's account
12 supported
The account's unique identifier
The opportunity's amount
14 supported
The date and time of the opportunity's close date
12 supported
The opportunity's contacts
14 supported
The contact's unique identifier
The date and time of the opportunity's creation
14 supported
The amount attribute's currency
8 supported
All the custom fields present on the opportunity
14 supported
The opportunity's description
8 supported
The date and time of the opportunity's last activity
9 supported
The opportunity's name
16 supported
The opportunity's owner
15 supported
The opportunity's owner's unique identifier
Raw data returned from the remote API call.
The opportunity's stage
12 supported
The stage's unique identifier
The stage's name
The opportunity's status
9 supported
The opportunity's tags
5 supported
The tag's unique identifier
The tag's name
The date and time of the opportunity's last update
13 supported
The opportunity's urls
7 supported
The opportunity's URL type
The opportunity's URL
curl -X POST 'https://api.truto.one/unified/crm/opportunities?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "your_name",
"account": {},
"contact": [],
"view_id": "your_view_id",
"status": "lead",
"amount": 0,
"owner": {},
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"description": "your_description",
"stage": {},
"currency": "your_currency",
"tags": [],
"close_date": "your_close_date",
"created_at": "your_created_at",
"pipeline": {},
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"name": "your_name",
"account": {},
"contact": [],
"view_id": "your_view_id",
"status": "lead",
"amount": 0,
"owner": {},
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"description": "your_description",
"stage": {},
"currency": "your_currency",
"tags": [],
"close_date": "your_close_date",
"created_at": "your_created_at",
"pipeline": {},
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/crm/opportunities?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/opportunities"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"name": "your_name",
"account": {},
"contact": [],
"view_id": "your_view_id",
"status": "lead",
"amount": 0,
"owner": {},
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"description": "your_description",
"stage": {},
"currency": "your_currency",
"tags": [],
"close_date": "your_close_date",
"created_at": "your_created_at",
"pipeline": {},
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.create(
'crm',
'opportunities',
{
"name": "your_name",
"account": {},
"contact": [],
"view_id": "your_view_id",
"status": "lead",
"amount": 0,
"owner": {},
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"description": "your_description",
"stage": {},
"currency": "your_currency",
"tags": [],
"close_date": "your_close_date",
"created_at": "your_created_at",
"pipeline": {},
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.create(
"crm",
"opportunities",
{
"name": "your_name",
"account": {},
"contact": [],
"view_id": "your_view_id",
"status": "lead",
"amount": 0,
"owner": {},
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"description": "your_description",
"stage": {},
"currency": "your_currency",
"tags": [],
"close_date": "your_close_date",
"created_at": "your_created_at",
"pipeline": {},
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())